%define         datever 20061216

Name:           MyPasswordSafe
Version:        0.6.7
Release:        6.%{datever}%{?dist}
Summary:        A graphical password management tool

Group:          Applications/Databases
License:        GPLv2+
URL:            http://www.semanticgap.com/myps/
Source0:        http://www.semanticgap.com/myps/release/MyPasswordSafe-%{datever}.src.tgz
Source1:        MyPasswordSafe.desktop
Patch0:         MyPasswordSafe-20061216-use-system-uuid.patch
Patch1:         MyPasswordSafe-20061216-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel, qt3-devel, uuid-devel, libXScrnSaver-devel
BuildRequires:  desktop-file-utils

%description
MyPasswordSafe is a straight-forward, easy-to-use password manager that
maintains compatibility with Password Safe files. MyPasswordSafe has the
following features:

* Safes are encrypted when they are stored to disk.
* Passwords never have to be seen, because they are copied to the clipboard
* Random passwords can be generated.
* Window size, position, and column widths are remembered.
* Passwords remain encrypted until they need to be decrypted at the dialog
  and file levels.
* A safe can be made active so it will always be opened when MyPasswordSafe
  starts.
* Supports Unicode in the safes
* Languages supported: English and French


%prep
%setup -q -n %{name}-%{datever}

# Use the system installed ossp-uuid lib
%patch0 -p1 -b .use-system-uuid.patch

# Fix regressions due to stricter GCC 4.3 checking
%patch1 -p1 -b .gcc43

%build

unset QTDIR || : ; . /etc/profile.d/qt.sh

make %{?_smp_mflags} PREFIX=%{_prefix}


%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}

# Remove the docs, they are in the wrong place.
rm -rf $RPM_BUILD_ROOT%{_prefix}/share/doc

desktop-file-install --vendor="fedora"               \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications    \
    %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog CHANGES COPYING README doc/manual.html doc/sshots/*.jpg
%{_bindir}/MyPasswordSafe
%{_datadir}/MyPasswordSafe
%{_datadir}/applications/fedora-MyPasswordSafe.desktop

%changelog
* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.6.7-6.20061216
- fix license tag

* Sat Apr 05 2008 Ralf Ertzinger <ralf@skytale.net> 0.6.7-5.20061216
- Change BuildRequires to qt3-devel

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.7-4.20061216
- Autorebuild for GCC 4.3

* Fri Jan 04 2008 Ralf Ertzinger <ralf@skytale.net> 0.6.7-3.20061216
- Add patch to enable compilation with GCC4.3

* Fri Jul 06 2007 Ralf Ertzinger <ralf@skytale.net> 0.6.7-1.20061216
- Initial build for Fedora
